import numpy as np
#import matplotlib.pyplot as plt
from x3dna import *
import sys

def errormessage(args):
  print("Plots comparison of mean x3dna parameters for each key")
#  print("for the basepairs (steps) with the highest standard deviations")
  print("Usage: {} <outprefix> <refnpz> <comparenpz> <?compare2npz>".format(args[0]))
numargs = len(sys.argv)
if numargs <4:
  errormessage(sys.argv)
  exit()
try:
  outpref = sys.argv[1]
  npzref = sys.argv[2]
  npzcomp = []
  for I in range(3,numargs):
    npzcomp.append(sys.argv[I])
except:
  errormessage(sys.argv)
  exit()


exptref = readShortNPZ(npzref)
print("Reading: {}".format(npzref))
expt = []
for I in range(len(npzcomp)):
  expt.append(readShortNPZ(npzcomp[I]))
print(outpref)
plotStandard(exptref,outpref,expt=expt)


