package require solvate
package require autoionize 

set prefix "dna"

mol load psf ${prefix}.psf pdb ${prefix}.pdb
set all [atomselect top all]
set xyz [measure center $all]
set xyz [vecinvert $xyz]
$all moveby $xyz
$all writepdb dna.pdb
mol delete top

solvate ${prefix}.psf ${prefix}.pdb -minmax {{-25 -25 -65 } { 25  25  65 }} -o ${prefix}_W

autoionize -psf ${prefix}_W.psf -pdb ${prefix}_W.pdb -sc 1.0  -cation POT -o ${prefix}_WI

exit 
